array_intersect
array_keys
Array Functions
PHP Manual

# array_key_exists

(PHP 4 >= 4.0.7, PHP 5)

array_key_exists — Checks if the given key or index exists in the array

### Description

bool array_key_exists ( mixed `$key` , array `$search` )

array_key_exists() returns `TRUE` if the given `key` is set in the array. `key` can be any value possible for an array index.

### Parameters

`key`

  Value to check.

`search`

  An array with keys to check.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.3.0 | This function doesn't work with objects anymore, property_exists() should be used in this case.

### Examples

Example #1 array_key_exists() example

`<?php
$search_array = array('first' => 1, 'second' => 4);
if (array_key_exists('first', $search_array)) {
echo "The 'first' element is in the array";
}
?>`

> Note: The name of this function is key_exists() in PHP 4.0.6.

Example #2 array_key_exists() vs isset()

isset() does not return `TRUE` for array keys that correspond to a `NULL` value, while array_key_exists() does.

`<?php
$search_array = array('first' => null, 'second' => 4);
// returns false
isset($search_array['first']);
// returns true
array_key_exists('first', $search_array);
?>`

### See Also

- isset() - Determine if a variable is set and is not NULL
- array_keys() - Return all the keys of an array
- in_array() - Checks if a value exists in an array
- property_exists() - Checks if the object or class has a property

array_intersect
array_keys
Array Functions
PHP Manual